Bug 452706 - Template not saving on custom resource folder
Summary: Template not saving on custom resource folder
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: Resource Management (show other bugs)
Version: 5.0.5
Platform: Microsoft Windows Microsoft Windows
: NOR normal
Target Milestone: ---
Assignee: Halla Rempt
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-04-17 20:49 UTC by konstrukto
Modified: 2022-07-13 11:46 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description konstrukto 2022-04-17 20:49:28 UTC
SUMMARY
***
NOTE: If you are reporting a crash, please try to attach a backtrace with debug symbols.
See https://community.kde.org/Guidelines_and_HOWTOs/Debugging/How_to_create_useful_crash_reports
***

After setting my resource folder to a custom location on an external drive, saving to template wouldn't stick.
I have tried four times and to no avail.

STEPS TO REPRODUCE
1. Set the resource folder to a custom location
2. Save a .kra as a template

OBSERVED RESULT

Template isn't visible.

EXPECTED RESULT

Template has been saved normally.

SOFTWARE/OS VERSIONS
Windows: 10

ADDITIONAL INFORMATION

The bug was confirmed by moving back to the default folder.

1. Set the resource folder to its default location
2. Removed the default folder from its location
3. Replaced the default folder by its customized version

OBSERVED RESULT

The saved templates that weren't visible now are visible, all four attempts.
Custom brush tags were somehow removed.
Comment 1 Halla Rempt 2022-07-13 11:46:18 UTC
Git commit 447fc4964a8ae21cfb20e9d6551ebc8f5620b5ce by Halla Rempt.
Committed on 13/07/2022 at 11:45.
Pushed by rempt into branch 'master'.

Look in the configured resources folder for templates

M  +2    -0    libs/ui/KisTemplateTree.cpp

https://invent.kde.org/graphics/krita/commit/447fc4964a8ae21cfb20e9d6551ebc8f5620b5ce
Comment 2 Halla Rempt 2022-07-13 11:46:24 UTC
Git commit b24a532a26a026e2a44d296a33c633bee2dcda42 by Halla Rempt.
Committed on 13/07/2022 at 11:46.
Pushed by rempt into branch 'krita/5.1'.

Look in the configured resources folder for templates
(cherry picked from commit 447fc4964a8ae21cfb20e9d6551ebc8f5620b5ce)

M  +2    -0    libs/ui/KisTemplateTree.cpp

https://invent.kde.org/graphics/krita/commit/b24a532a26a026e2a44d296a33c633bee2dcda42